Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 27 Nov 2014, 00:42
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Newer Puppy with Skype?
Moderators: Flash, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
sunburnt


Joined: 08 Jun 2005
Posts: 5042
Location: Arizona, U.S.A.

PostPosted: Fri 21 Jun 2013, 13:27    Post_subject:  Newer Puppy with Skype?  

A friend has a HP laptop and needs newer video Skype in it.

I know you can install it, but things seem to work better if they`re integrated.
Back to top
View user's profile Send_private_message 
ETP


Joined: 19 Oct 2010
Posts: 575
Location: UK

PostPosted: Fri 21 Jun 2013, 14:30    Post_subject: Newer Puppy with Skype?  

Hi sunburnt,

Depending on your friend’s level of expertise and what is meant by newer, Magoo v6 may fit the bill. It was released on 15th Dec 2012 and contains Skype 4.

www.murga-linux.com/puppy/viewtopic.php?p=667953#667953

If your friend is young, just don’t mention the Pup’s target group. Laughing

_________________
Regards ETP
Accessibility Pups: -- Magoo -- The Pup With No Name -- MouseCam -- Obedient
Back to top
View user's profile Send_private_message 
OscarTalks

Joined: 05 Feb 2012
Posts: 926
Location: London, England

PostPosted: Fri 21 Jun 2013, 14:34    Post_subject:  

Not sure I fully understand the question, but the latest Skype for Linux is version 4.2.0.11 which I have been tinkering with just lately and it does seem better than the previous 4.1 version. Depending on what Puppy you are running you have to select the most suitable build from the Skype website and combine it with the most appropriate set of dependency libs.

You can either install these dependencies as the standard packages or include them into a custom Skype package. I have been able to create standalone versions for most of the current Puppies. I can even make it work in Racy or Wary (if you install D-Bus from PPM), so if the main objective is to run the latest Skype then just choose whatever Puppy you prefer.

_________________
Oscar in England

Back to top
View user's profile Send_private_message 
sunburnt


Joined: 08 Jun 2005
Posts: 5042
Location: Arizona, U.S.A.

PostPosted: Fri 21 Jun 2013, 23:07    Post_subject:  

Thanks ETP; I`ll look at Magoo and let you know.

Hi OscarTalks; I have an old Skype-2.2 static build SFS file, it works great, but no video.
Hopefully Skype-4.2 is fully functional.

I`ve tried making a no-install RoxApp Skype 4.2, but no luck getting it to work.

If you have a Skype 4.2 that works on Precise or Racy it may be worth making a RoxApp out of it.
I`d gladly give it a try, I`ve had mixed success with various apps.
Back to top
View user's profile Send_private_message 
OscarTalks

Joined: 05 Feb 2012
Posts: 926
Location: London, England

PostPosted: Sat 22 Jun 2013, 11:29    Post_subject:  

Hello sunburnt,

I have been using 2.2.0.35 for ages and the video does work for me, but not with all webcams. This might not be any different with the latest Skype. I have always encountered glitches with versions since, but this 4.2.0.11 is the first which seems OK and has me tempted to accept the increased size and upgrade. Anyway, I have uploaded the ones I was playing around with here:-

http://www.murga-linux.com/puppy/viewtopic.php?t=86808

Hopefully this will assist in some way.

By the way, have you tried the v4l webcam workaround? I think it is:-

LD_PRELOAD=/usr/lib/libv4l/v4l2convert.so skype

UPDATE:- Just been doing a bit more testing and webcams which were not working before can be made to work with that fix. You need to have v4l-utils installed. Try typing the above text in terminal. If that works you can edit the launcher script file /usr/bin/skype to include that bit of extra code. Not sure if this is totally correct but I just edited the last line to read:-

LD_PRELOAD=/usr/lib/libv4l/v4l2convert.so /usr/share/skype/skype "$@"

and it works like that.

_________________
Oscar in England

Back to top
View user's profile Send_private_message 
sunburnt


Joined: 08 Jun 2005
Posts: 5042
Location: Arizona, U.S.A.

PostPosted: Sat 22 Jun 2013, 23:57    Post_subject:  

OscarTalks; I downloaded the Racy SFS, I try to work with newer O.S`s and apps.

I`ll try making a RoxApp out of it. If it`s successful, I`ll let you know...
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0534s ][ Queries: 12 (0.0068s) ][ GZIP on ]